dcraw(1)

NAVN
dcraw - kommandolinjeafkoder for rå digitalfotos

SYNTAX
dcraw [TILVALG]... [FIL]...

BESKRIVELSE
dcraw afkoder råfotos, viser metadata og udtrækker miniaturbilleder.

GENERELLE TILVALG

-v  Udskriv detaljerede meddelelser, ikke kun advarsler og fejlmeddelelser.

-c  Skriv afkodede billeder eller miniaturbilleder til standard-uddata.

-e  Udtrækker det kamera-skabte miniaturbillede, ikke det rå billede. Du får enten en JPEG- eller en PPM-fil afhængigt af kameraet.

-z  Ændrer tilgangs- og ændringstidspunkterne for AVI-, JPEG-, TIFF- eller rå- filen til optagelsestidspunktet under forudsætning af, at kameraets ur var indstillet til universel tid (UTC).

-i  Identificer filerne, men afkod dem ikke. Slutstatus er 0 hvis dcraw kan afkode den sidste fil, og 1 hvis det ikke kan. -i -v viser metadata.

    dcraw kan ikke afkode JPEG-filer!!

REPARATIONSTILVALG

-P dødepunkter.txt
    Læs de døde punkter fra denne fil i stedet for fra ".badpixels". Se FILER for en beskrivelse af formatet.

-K sortbilled.pgm
    Udtræk et sortbillede fra de rå data. Optag et råfoto uden lys for at lave et sortbillede og kør dcraw -D -4 -j -t 0.

-k sortpunkt
    Når skyggerne er tågede skal du øge sortpunktsværdien. For at måle dette, skal du anvende pamsumm -mean på det sortbillede du lavede ovenfor.

-S mætning
    Når højlysene er lyserøde, skal du sænke mætningsværdien. For at måle dette, skal du optage et billede af noget skinnende og køre dcraw -D -4 -j -c foto.raw | pamsumm -max

    Standardværdierne af sortpunkt og mætning er normalt korrekte.

-n støjtærskelværdi
    Brug wavelets for at fjerne støj mens detaljerne bevares. De bedste tærskeværdier ligger normalt mellem 100 og 1000.

-C rødforst. blåforst.
    Forstør de rå røde og blå lag med en given faktor, typisk mellem 0,999 og 1,001, for at korrigere kromatisk aberration.

-H 0
    Beskær alle højlys til rent hvidt (standard).

-H 1
    Lad højlysene være ubeskårne i forskellige lyserøde nuancer.

-H 2
    Bland beskårne og ubeskårne værdier samme for at få en gradueret udfadning til hvidt.

-H 3+
    Rekonstruer højlysene. Lavere værdier favoriserer hvidt, højere værdier favoriserer farver. Prøv -H 5 så et kompromis. Hvis det ikke er godt nok, prøv -H 9, klip de ikke-hvidt højlys ud, og sæt dem ind i et billede lavet med -H 3.

FARVETILVALG
Normalt bruger dcraw en fast hvidbalance baseret på et farvekort belyst med en standard D65-lampe.

-w  Brug den hvidbalance, der er indstillet på kameraet. Udskriv en advarsel og prøv en anden metode, hvis denne ikke findes.

-a  Beregn hvidbalancen som et gennemsnit for hele billedet.

-A venstre top bredde højde
    Beregn hvidbalancen som et gennemsnit for et rektangulært område. Kør først dcraw -j -t 0 og vælg et område med neutral grå farve.

-r mul0 mul1 mul2 mul3
    Angiv din egen hvidbalance. Disse multiplikatorer kan klippes og indsættes fra dcraw -v.

+M or -M
    Anvend (eller anvend ikke) en farvematrix fra kameraets metadata. Standarden er +M hvis -w er sat, og -M ellers. Dette tilvalg har kun effekt med Olympus-, Leaf- og Phase One-kameraer.

-o [0-5]
    Vælg uddata-farverummet når -p ikke anvendes: 0 Rå farver (unikke for hvert kamera)
    1 sRGB D65 (standard)
    2 Adobe RGB (1998) D65
    3 Wide Gamut RGB D65
    4 Kodak ProPhoto RGB D65
    5 XYZ

-p kamera.icm [ -o uddata.icm ]
    Anvend ICC-profiler for at definere kameraets rå farverum og det ønskede uddata-farverum (sRGB som standard).

-p embed
    Anvend den indlejrede ICC-profil fra det rå foto.

INTERPOLATIONSTILVALG

-d  Hvis de rå data som et gråskalabillede uden interpolation. Godt for affotografering af sort/hvide dokumenter.

-D  Samme som -d, men helt rå (ingen farveskalering).

-h  Lav et farvebillede i halv størrelse. Dobbelt så hurtig som -q 0.

-q 0
    Brug hurtig, lavkvalitets bilineær interpolation.

-q 1
    Brug Variable Number of Gradients (VNG) interpolation.

-q 2
    Brug Patterned Pixel Grouping (PPG) interpolation.

-q 3
    Brug Adaptive Homogeneity-Directed (AHD) interpolation.

-f  Interpoler RGB som fire farver. Brug dette, hvis uddata viser falske 2x2 mønstre med VNG eller labyrintmønstre med AHD.

-m antal_anvendelser
    Fjern farvefejl efter interpolationen med gentagne anvendelser af et 3x3 median-filter på R-G- og B-G-farvekanalerne.

UDDATATILVALG
Normalt udskriver dcraw PGM/PPM/PAM med 8 bits pr. farvekanal, en BT.709 gammakurve, et histogram-baseret hvidniveau og ingen metadata.

-W  Anvende et fast hvidniveau, ignorer billedets histogram.

-b belysning
    Divider hvidniveauet med dette tal, standard er 1.0.

-g eksponent hældning
    Sæt gammakurven, standard er BT.709 (-g 2.222 4.5). Brug -g 2.4 12.92, hvis du foretrækker sRGB-gamma. Sæt hældningen til nul, for at få en simpel eksponentiel kurve.

-6  Udskriv seksten bits pr. farvekanal i stedet for otte.

-4  Lineær 16-bits, samme som -6 -W -g 1 1.

-T  Udskriv TIFF med metadata i stedet for PGM/PPM/PAM.

-t [0-7,90,180,270]
    Drej uddata-billedet. Normalt drejer dcraw billedet som angivet i kameraet. -t 0 udelader alle drejninger.

-j  Vis billedet drejet 45 grader for Fuji Super CCD kameraer. Stræk ikke billedet til det korrekte side-forhold for kameraer med ikke-kvadratiske billedpunkter. Dette tilvalg garanterer at hvert uddata-punkt svarer til et billedpunkt i råbilledet.

-s [0..N-1] or -s all
    Afkod et eller "all" (alle) billeder, hvis en fil indeholder N rå billeder. For eksempel laver Fuji Super CCD SR kameraer et andet billede, undereksponeret med fire trin, for at vise detaljer i højlysene.

FILER

./.badpixels, ../.badpixels, ../../.badpixels, ...
    Liste over dit kameras døde billedpunkter, så dcraw kan interpolere omkring dem. Hver linje angiver søjle, række og UNIX "dødstidspunkt" for et punkt. For eksempel:

     962   91 1028350000  # døde mellem 1. og 4. august 2002
    1285 1067 0           # ved ikke hvornår dette punkt døde

    Disse koordinater angives før beskæring og drejning af billedet, så anvend dcraw -j -t 0 til at lokalisere døde billedpunkter.

SE OGSÅ
pgm(5), ppm(5), pam(5), pamsumm(1), pnmgamma(1), pnmtotiff(1), pnmtopng(1), gphoto2(1), cjpeg(1), djpeg(1)

FORFATTER
Skrevet af David Coffin, dcoffin a cybercom o net

OVERSÆTTER
Oversat af Niels Kristian Bech Jensen, nkbj a users o sourceforge o net